--- old/usr/src/lib/libm/common/Q/logl.c	2019-06-06 20:38:51.764200061 +0000
+++ new/usr/src/lib/libm/common/Q/logl.c	2019-06-06 20:38:51.783660865 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -78,40 +79,39 @@
 #include "libm.h"
 
 extern const long double _TBL_logl_hi[], _TBL_logl_lo[];
-
-static const long double
-	zero	=   0.0L,
-	one	=   1.0L,
-	two	=   2.0L,
-	two113  =   10384593717069655257060992658440192.0L,
-	ln2hi	=   6.931471805599453094172319547495844850203e-0001L,
-	ln2lo	=   1.667085920830552208890449330400379754169e-0025L,
-	A1	=   2.000000000000000000000000000000000000024e+0000L,
-	A2	=   6.666666666666666666666666666666091393804e-0001L,
-	A3	=   4.000000000000000000000000407167070220671e-0001L,
-	A4	=   2.857142857142857142730077490612903681164e-0001L,
-	A5	=   2.222222222222242577702836920812882605099e-0001L,
-	A6	=   1.818181816435493395985912667105885828356e-0001L,
-	A7	=   1.538537835211839751112067512805496931725e-0001L,
-	B1	=   6.666666666666666666666666666666961498329e-0001L,
-	B2	=   3.999999999999999999999999990037655042358e-0001L,
-	B3	=   2.857142857142857142857273426428347457918e-0001L,
-	B4	=   2.222222222222222221353229049747910109566e-0001L,
-	B5	=   1.818181818181821503532559306309070138046e-0001L,
-	B6	=   1.538461538453809210486356084587356788556e-0001L,
-	B7	=   1.333333344463358756121456892645178795480e-0001L,
-	B8	=   1.176460904783899064854645174603360383792e-0001L,
-	B9	=   1.057293869956598995326368602518056990746e-0001L;
+static const long double zero = 0.0L,
+	one = 1.0L,
+	two = 2.0L,
+	two113 = 10384593717069655257060992658440192.0L,
+	ln2hi = 6.931471805599453094172319547495844850203e-0001L,
+	ln2lo = 1.667085920830552208890449330400379754169e-0025L,
+	A1 = 2.000000000000000000000000000000000000024e+0000L,
+	A2 = 6.666666666666666666666666666666091393804e-0001L,
+	A3 = 4.000000000000000000000000407167070220671e-0001L,
+	A4 = 2.857142857142857142730077490612903681164e-0001L,
+	A5 = 2.222222222222242577702836920812882605099e-0001L,
+	A6 = 1.818181816435493395985912667105885828356e-0001L,
+	A7 = 1.538537835211839751112067512805496931725e-0001L,
+	B1 = 6.666666666666666666666666666666961498329e-0001L,
+	B2 = 3.999999999999999999999999990037655042358e-0001L,
+	B3 = 2.857142857142857142857273426428347457918e-0001L,
+	B4 = 2.222222222222222221353229049747910109566e-0001L,
+	B5 = 1.818181818181821503532559306309070138046e-0001L,
+	B6 = 1.538461538453809210486356084587356788556e-0001L,
+	B7 = 1.333333344463358756121456892645178795480e-0001L,
+	B8 = 1.176460904783899064854645174603360383792e-0001L,
+	B9 = 1.057293869956598995326368602518056990746e-0001L;
 
 long double
-logl(long double x) {
+logl(long double x)
+{
 	long double f, s, z, qn, h, t;
-	int *px = (int *) &x;
-	int *pz = (int *) &z;
+	int *px = (int *)&x;
+	int *pz = (int *)&z;
 	int i, j, ix, i0, i1, n;
 
 	/* get long double precision word ordering */
-	if (*(int *) &one == 0) {
+	if (*(int *)&one == 0) {
 		i0 = 3;
 		i1 = 0;
 	} else {
@@ -121,35 +121,45 @@
 
 	n = 0;
 	ix = px[i0];
-	if (ix > 0x3ffee0f8) {	/* if x >  31/33 */
+
+	if (ix > 0x3ffee0f8) {		/* if x >  31/33 */
 		if (ix < 0x3fff1084) {	/* if x < 33/31 */
 			f = x - one;
 			z = f * f;
-			if (((ix - 0x3fff0000) | px[i1] | px[2] | px[1]) == 0) {
+
+			if (((ix - 0x3fff0000) | px[i1] | px[2] | px[1]) == 0)
 				return (zero);	/* log(1)= +0 */
-			}
+
 			s = f / (two + f);	/* |s|<2**-8 */
 			z = s * s;
-			return (f - s * (f - z * (B1 + z * (B2 + z * (B3 +
-				z * (B4 + z * (B5 + z * (B6 + z * (B7 +
-				z * (B8 + z * B9))))))))));
+			return (f - s * (f - z * (B1 + z * (B2 + z * (B3 + z *
+			    (B4 + z * (B5 + z * (B6 + z * (B7 + z * (B8 + z *
+			    B9))))))))));
 		}
+
 		if (ix >= 0x7fff0000)
-			return (x + x);	/* x is +inf or NaN */
+			return (x + x);		/* x is +inf or NaN */
+
 		goto LARGE_N;
 	}
+
 	if (ix >= 0x00010000)
 		goto LARGE_N;
+
 	i = ix & 0x7fffffff;
+
 	if ((i | px[i1] | px[2] | px[1]) == 0) {
 		px[i0] |= 0x80000000;
 		return (one / x);	/* log(0.0) = -inf */
 	}
+
 	if (ix < 0) {
-		if ((unsigned) ix >= 0xffff0000)
-			return (x - x);	/* x is -inf or NaN */
-		return (zero / zero);	/* log(x<0) is NaN  */
+		if ((unsigned)ix >= 0xffff0000)
+			return (x - x);		/* x is -inf or NaN */
+
+		return (zero / zero);		/* log(x<0) is NaN  */
 	}
+
 	/* subnormal x */
 	x *= two113;
 	n = -113;
@@ -164,10 +174,10 @@
 	s = (x - z) / (x + z);
 	j = (i >> 10) & 0x3f;
 	z = s * s;
-	qn = (long double) n;
+	qn = (long double)n;
 	t = qn * ln2lo + _TBL_logl_lo[j];
 	h = qn * ln2hi + _TBL_logl_hi[j];
-	f = t + s * (A1 + z * (A2 + z * (A3 + z * (A4 + z * (A5 +
-		z * (A6 + z * A7))))));
+	f = t + s * (A1 + z * (A2 + z * (A3 + z * (A4 + z * (A5 + z * (A6 + z *
+	    A7))))));
 	return (h + f);
 }